scala.tools.cmd

# Demo

#### class Demo extends DemoSpec with Instance

Linear Supertypes
Instance, DemoSpec, Interpolation, StdOpts, Spec, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Demo
2. Instance
3. DemoSpec
4. Interpolation
5. StdOpts
6. Spec
7. AnyRef
8. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Demo(args: List[String])

### Type Members

1. #### type OptionMagic = Opt.Instance

   Definition Classes
     Instance → Spec

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Demo to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (Demo, B)

   Implicit information
     This member is added by an implicit conversion from Demo to ArrowAssoc[Demo] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

8. #### object Bash extends Opt

   I think we're as close as we can get to bundling completion with the program given the constraints imposed by bash.

9. #### object SelfUpdate extends Opt

   Generates a very basic runner script.

10. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### def demoSpecMethods: List[Method]

13. #### def demoString(ms: List[Method]): String

14. #### def ensuring(cond: (Demo) ⇒ Boolean, msg: ⇒ Any): Demo

    Implicit information
      This member is added by an implicit conversion from Demo to Ensuring[Demo] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: (Demo) ⇒ Boolean): Demo

    Implicit information
      This member is added by an implicit conversion from Demo to Ensuring[Demo] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean, msg: ⇒ Any): Demo

    Implicit information
      This member is added by an implicit conversion from Demo to Ensuring[Demo] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def ensuring(cond: Boolean): Demo

    Implicit information
      This member is added by an implicit conversion from Demo to Ensuring[Demo] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

20. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

21. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Demo to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

22. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

23. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

24. #### def heading(str: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Spec

25. #### def help(str: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Instance → Spec

26. #### def helpMsg: String

27. #### object interpolate

    Definition Classes
      Interpolation

28. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

29. #### def isSet(s: String): Boolean

    Definition Classes
      Instance

30. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

31. #### final def notify(): Unit

    Definition Classes
      AnyRef

32. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

33. #### val optDefault: String

    Definition Classes
      DemoSpec

34. #### val optDefaultInt: Int

    Definition Classes
      DemoSpec

35. #### val optEnv: String

    Definition Classes
      DemoSpec

36. #### val optExpand: Unit

    Definition Classes
      DemoSpec

37. #### val optIsUnary: Boolean

    Definition Classes
      DemoSpec

38. #### implicit def optionMagicAdditions(name: String): Opt.Instance

    Attributes
      protected
    Definition Classes
      Instance → Spec

39. #### val optopt: Option[String]

    Definition Classes
      DemoSpec

40. #### val optoptInt: Option[Int]

    Definition Classes
      DemoSpec

41. #### def originalArgs: List[String]

    Definition Classes
      Instance

42. #### val parsed: ThisCommandLine

    Definition Classes
      Demo → Instance

43. #### lazy val programInfo: Info

    Definition Classes
      DemoSpec → Spec

44. #### lazy val referenceSpec: DemoSpec.type

    Definition Classes
      DemoSpec → Spec

45. #### def residualArgs: collection.immutable.List[String]

    Definition Classes
      Instance

46. #### val selfUpdateName: Option[String]

    Definition Classes
      StdOpts

47. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

48. #### def toString(): String

    Definition Classes
      Demo → AnyRef → Any

49. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

50. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

51. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

52. #### def →[B](y: B): (Demo, B)

    Implicit information
      This member is added by an implicit conversion from Demo to ArrowAssoc[Demo] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Demo to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (demo: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Demo to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (demo: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: Demo

   Implicit information
     This member is added by an implicit conversion from Demo to ArrowAssoc[Demo] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (demo: ArrowAssoc[Demo]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: Demo

   Implicit information
     This member is added by an implicit conversion from Demo to Ensuring[Demo] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (demo: Ensuring[Demo]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from Instance

### Inherited from DemoSpec

### Inherited from Interpolation

### Inherited from StdOpts

### Inherited from Spec

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Demo to StringAdd

### Inherited by implicit conversion any2stringfmt from Demo to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from Demo to ArrowAssoc[Demo]

### Inherited by implicit conversion any2Ensuring from Demo to Ensuring[Demo]

### Ungrouped